TESTING/LIN/ddrvrf1.f(3)

NAME
TESTING/LIN/ddrvrf1.f

SYNOPSIS

  Functions/Subroutines
subroutine ddrvrf1 (nout, nn, nval, thresh, a, lda, arf, work)
DDRVRF1

Function/Subroutine Documentation

  subroutine ddrvrf1 (integer nout, integer nn, integer, dimension( nn ) nval, double precision thresh, double precision, dimension( lda, * ) a, integer lda, double precision, dimension( * ) arf, double precision, dimension( * ) work)

DDRVRF1

Purpose:

     DDRVRF1 tests the LAPACK RFP routines:
         DLANSF

Parameters
    NOUT

              NOUT is INTEGER
                    The unit number for output.

    NN

              NN is INTEGER
                    The number of values of N contained in the vector NVAL.

    NVAL

              NVAL is INTEGER array, dimension (NN)
                    The values of the matrix dimension N.

    THRESH

              THRESH is DOUBLE PRECISION
                    The threshold value for the test ratios.  A result is
                    included in the output file if RESULT >= THRESH.  To have
                    every test ratio printed, use THRESH = 0.

    A

              A is DOUBLE PRECISION array, dimension (LDA,NMAX)

    LDA

              LDA is INTEGER
                    The leading dimension of the array A.  LDA >= max(1,NMAX).

    ARF

              ARF is DOUBLE PRECISION array, dimension ((NMAX*(NMAX+1))/2).

    WORK

              WORK is DOUBLE PRECISION array, dimension ( NMAX )

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 93 of file ddrvrf1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.